%global debug_package %{nil}

Name:           CImg
Version:        202
Release:        1%{?dist}
Summary:        C++ Template Image Processing Toolkit
# CImg.h: Dual licensed
# plugins/cimgmatlab.h: LGPLv3
License:        (CeCILL or CeCILL-C) and LGPLv3
URL:            https://github.com/dtschump/CImg
Source0:        https://github.com/dtschump/CImg/archive/v.%{version}.tar.gz
# This package has no dependencies actually, these below are 
# for %%check only.
BuildRequires:  cmake
BuildRequires:  fftw-devel
BuildRequires:  ImageMagick-c++-devel
BuildRequires:  lapack-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrandr-devel
BuildRequires:  opencv-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  zlib-devel

%description
The CImg Library is an open-source C++ toolkit for image processing. 
It consists in a single header file 'CImg.h' providing a minimal set of C++ 
classes and methods that can be used in your own sources, to load/save, 
process and display images. Very portable, efficient and easy to use, 
it's a pleasant library for developping image processing algorithms in C++.

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-v.%{version}
sed -i 's|$(X11PATH)/lib|$(X11PATH)/%{_lib}|g' examples/Makefile

%build
# This is a headers only package.

%install
install -pdm755 %{buildroot}%{_includedir}/%{name}/plugins
install -pm644 CImg.h %{buildroot}%{_includedir}/
install -pm644 plugins/*.h %{buildroot}%{_includedir}/%{name}/plugins/

%check
# Build examples based on sources to verify the usability.
# CMake couldn't find -lfftw3_threads so I use
# make directly.
make -C examples linux %{?_smp_mflags}

%files devel
%doc *.txt html/CImg_reference_chinese.pdf
%{_includedir}/CImg.h
%{_includedir}/%{name}/

%changelog
* Mon Jun 26 2017 Tom Callaway <spot@fedoraproject.org> - 202-1
- update to v.202

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 20 2014 Christopher Meng <rpm@cicku.me> - 1.5.8-2
- Fix license field to reflect correct license of some headers.
- SPEC cosmetic changes.

* Tue Apr 29 2014 Christopher Meng <rpm@cicku.me> - 1.5.8-1
- Update to 1.5.8

* Thu Aug 01 2013 Christopher Meng <rpm@cicku.me> - 1.5.6-1
- Initial Package.
